For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet all export jobs
      • POSTCreate an export job
      • GETGet supported export formats
      • GETGet the export job status by ID
LogoLogo
API StatusPartner Portal
UtilitiesData export

Get supported export formats

GET
/data_exports/supported_formats
GET
/v1/data_exports/supported_formats
$curl https://api.sandbox.monite.com/v1/data_exports/supported_formats \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "available_types": {
4 "key": [
5 "csv"
6 ]
7 },
8 "object_type": "payable"
9 }
10]
Was this page helpful?
Previous

Get the export job status by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
available_typesmap from strings to lists of enums
Allowed values:
object_typeenum
Allowed values:

Errors

401
Get Data Exports Supported Formats Request Unauthorized Error
422
Get Data Exports Supported Formats Request Unprocessable Entity Error
429
Get Data Exports Supported Formats Request Too Many Requests Error